Doomsday Engine - Feature #1468

Sky layers seperate vertical offset
2008-07-14 11:51 - vermil

Status: Closed Start date: 2008-07-14
Priority: Normal % Done: 0%
Assignee: danij

Category:

Target version:

Description
With sky layers you can set a separate horizontal offset for each layer. But for vertical offsetting, there is only a single global value.

Labels: Customizability

History

#1 - 2008-07-16 22:38 - danij

I have implemented most of the requests in this RFE in the beta6-with-mapcache branch for potential inclusion into 1.9.0-beta7

#2 - 2008-09-24 11:53 - vermil
Logged In: YES

user_id=1420350

Originator: YES

I'm just mentioning this because | thought | might as well throw it in with the above.
How’s about the ability to scroll each layer (i.e. an angle field and a speed field).

#3 - 2009-10-04 20:48 - danij

The vertical offset adjusts the level of the horizon not the individual sky layers. A vertical offset can surely be added. An alternative means of scrolling
which does not require the game plugin to do it by continuously adjusting the offsets would be nice too.

#4 - 2013-10-22 09:28 - skyjake
- Tags set to Renderer, Sky

- Status changed from New to In Progress

Has the aforementioned work actually been merged into the master?

#5 - 2013-10-22 22:33 - danij

No, it has not been merged. However, | would now prefer to re-implement this rather than attempt to merge in that old code.

Proper support for Boom skies will also need to be considered (which allows the sky material to be dynamically changed via line special).

#6 - 2016-07-05 23:55 - skyjake

- Status changed from In Progress to Progressed

#7 - 2019-11-29 21:26 - skyjake

- Status changed from Progressed to Closed

Closing as obsolete.
